### Property

# Gtk Widget:halign

since: 4.0

#### Declaration

    property halign: Gtk.Align [ read, write ]

#### Description [src]

How to distribute horizontal space if widget gets extra space.

Type: | `GtkAlign`
Available since: | 4.0

Default value | GTK_ALIGN_FILL
Getter method | `gtk_widget_get_halign()`
Setter method | `gtk_widget_set_halign()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no